## ros-lunar-moveit-ros-robot-interaction 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(moveit_ros_robot_interaction)

add_compile_options(-std=c++11)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_ros_planning
  interactive_markers
  eigen_conversions
  tf_conversions
  tf
  roscpp
)

set(MOVEIT_LIB_NAME moveit_robot_interaction)

catkin_package(
  LIBRARIES
    ${MOVEIT_LIB_NAME}
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    moveit_ros_planning
    interactive_markers
    )

include_directories(include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${MOVEIT_LIB_NAME}
  src/interactive_marker_helpers.cpp
  src/kinematic_options.cpp
  src/kinematic_options_map.cpp
  src/locked_robot_state.cpp
  src/interaction_handler.cpp
  src/robot_interaction.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(locked_robot_state_test test/locked_robot_state_test.cpp)
  target_link_libraries(locked_robot_state_test
    ${MOVEIT_LIB_NAME}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES})
endif()

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-moveit-ros-robot-interaction (0.9.12-1xenial) xenial; urgency=high

  * [fix] interaction with planar joints (#767 <https://github.com/ros-planning/moveit/issues/767>)
  * [maintenance] boost::shared_ptr -> std::shared_ptr
  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [enhance] association of IK solvers to groups #769 <https://github.com/ros-planning/moveit/issues/769>
  * Contributors: Bence Magyar, Ian McMahon, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.11-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.10-1xenial) xenial; urgency=high

  * [package.xml] Add a release-maintainer. Cleanup #649 <https://github.com/ros-planning/moveit/pull/649>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.9-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.8-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.7-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.6-1xenial) xenial; urgency=high

  * [fix] catkin_make -DCMAKE_ENABLE_TESTING=0 failure (#478 <https://github.com/ros-planning/moveit/issues/478>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.4-1xenial) xenial; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.3-1xenial) xenial; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.9.2-1xenial) xenial; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.6.6-1xenial) xenial; urgency=high

  * use getModelFrame() as reference frame for markers
  * publish markers relative to robot's root frame
    In addition to #669 <https://github.com/ros-planning/moveit_ros/issues/669>, interactive markers need to be place relative to the
    robot's root frame. If nothing is specified (as before), rviz' fixed frame
    is used, leading to offsets when both frames are not identical.
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * further adapted marker size computation
    - drop largest extension dimension (-> use cross-section size of elongated link)
    - for an end-effector group, consider the sizes of individual links
    instead of the overall size of all links (which becomes huge very fast)
    - enlarge marker size by factor of 1.5 when there is only a single eef marker
  * reworked computeLinkMarkerSize()
    compute size such that the marker sphere will cover
    - a spherical link geometry -> AABB.maxCoeff
    - a cubical link geometry -> AABB.norm
    -> use average of both values
    Virtual links (without any shape) will have a size of AABB of zero dims.
    In this case use the dimensions of the closest parent link instead.
  * improved computation of interactive marker size
    - use parent_link if group == parent_group
    - scale smaller than 5cm is clipped to 5cm instead of using default
    - clarified size computation, using diameter of AABB
  * fixing error caused by BOOST_STATIC_ASSERT
  * Fixed compile error caused by BOOST_STATIC_ASSERT in kinematic_options.cpp
    Added kinematics::DiscretizationMethods::DiscretizationMethod to QO_FIELDS in kinematic_options.cpp.
    At pull request #581 <https://github.com/ros-planning/moveit_ros/issues/581>, type of discretization_method was set to int. Changed it to proper type.
  * reinstated changes related to the updates in the  moveit_core::KinematicsBase interface
  * Revert "  Kinematics Base changes in moveit_core"
  * adds the 'returns_approximate_solution' entry so that it is compatible with the changes in kinematics::KinematicsBase class in the moveit_core repo
  * Contributors: Daichi Yoshikawa, Dave Coleman, Robert Haschke, Sachin Chitta, jrgnicho

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-lunar-moveit-ros-robot-interaction (0.6.5-1xenial) xenial; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 23 Jan 2015 23:00:00 -0000



=== debian/control ===
Source: ros-lunar-moveit-ros-robot-interaction
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-eigen-conversions, ros-lunar-interactive-markers, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib (>= 1.10.4), ros-lunar-roscpp, ros-lunar-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-ros-robot-interaction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-eigen-conversions, ros-lunar-interactive-markers, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib (>= 1.10.4), ros-lunar-roscpp, ros-lunar-tf
Description: Components of MoveIt that offer interaction via interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-moveit-ros-robot-interaction//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
